genotypeCoding {GeneticsBase} | R Documentation

## Get genotype coding

### Description

Get genotype coding.

### Usage

    genotypeCoding(geneSetObj, method = "A")
    genotypeCoding.default(pedObj, method = "A")

### Arguments

`geneSetObj` | a geneSet object
`pedObj` | a pedigreee object
`method` | genotype coding method. The default is additive coding (`A`). The other two available coding methods are recessive coding (`R`) and dominant coding (`D`), respectively.

### Value

a matrix with `nSubjects` rows and `nMarkers` columns. Each column contains coded genotype.

### Author(s)

Gregory Warnes <warnes@bst.rochester.edu> Ross Lazarus <ross.lazarus@channing.harvard.edu> Weiliang Qiu <stwxq@channing.harvard.edu>

### Examples

      data(CAMP)
      res<-genotypeCoding(CAMP, method="A")
      print(res[1:10,])

[Package GeneticsBase version 1.8.0 Index]